============================
vbotka.freebsd Release Notes
============================

.. contents:: Topics


0.8.23
======

Release Summary
---------------
Add dictionary project-hosts.yml; Update examples 521-526.

Major Changes
-------------

Minor Changes
--------------
* Docs. Add project-hosts.yml
* Update pb_iocage_project_create_from_plugins.yml
* Update pb_iocage_project_create_from_templates.yml; merge notes.
* Update pb_iocage_template.yml; Add debug.yml
* Docs. Update examples 440,441,521,522,523,524,525,526.
* Docs. Remove example 520.
* Docs. Update sandbox 202,909,910,911,914,915,917,918,919,920.


0.8.22
======

Release Summary
---------------
Implement firstboot service ansible_init.

Major Changes
-------------

Minor Changes
--------------
* Add playbook pb_iocage_project_create_from_templates.yml
* Add role iocage_template 1.0.0
* Add setup/sync/; Create limited collections for ansible-conf repos. See
  setup/sync/README.md
* Update module iocage. Fix properties parsing.
* Update playbook pb_iocage_template; skip missing templates attributes; allow
  undefined act_user; optionally do not run stop and template tasks.
* Upgrade role postinstall to 2.8.9
* Add examples 311, 522, 523, 524, 525, and 526.
* Update example 521.
* Remove example 510.
* Add sandbox 914, 915, 917, 918, 919, and 920.
* Remove sandbox 916.
* Docs. Fix links.
* Docs. Replace inventory iocage_classes regex_findall regex.


0.8.21
======

Release Summary
---------------
Implement the iocage plugins framework. Only iocage_05 is tested.

Major Changes
-------------

Minor Changes
--------------
* Role postinstall upgraded to 2.8.7
* Add attribute 'branch' to the dictionary 'plugins'.
* Update pb_iocage_plugins.yml with the attribute 'branch'.
* Docs. Update examples 013, , 441, 442, 443, 520, 521.
* Docs. Update sandbox.
* Docs. Update sandbox 501 deny, review the configuration before enabled.
* Docs. Update sandbox 912 and 913 is obsolete.


0.8.20
======

Release Summary
---------------
Docs updated examples and sandbox. Only iocage_05 is tested.

Major Changes
-------------

Minor Changes
--------------
* Docs. Add sandbox 912 and 913. The same as 910 and 911 but the repo
  https://github.com/vbotka/iocage-ix-plugins
* Docs. Update sandbox 910 and 911
* Docs. Update UG and sandbox README.
* Docs. Update examples 443, 520, and 521. Do not start the fetched
  iocage plugins on boot.
* Docs. Add ansible-syslogng to the Index.


0.8.19
======

Release Summary
---------------
Docs updated examples and sandbox. Only iocage_05 is tested.

Major Changes
-------------

Minor Changes
--------------
* Docs. Add deprecation_warnings = false to ansible.cfg
* Docs. Add d('none') for missing vmm in tags.
* Docs. Update regex_findall('class=([\w\-]+)') for classes with the dash in the names.
* Docs. Updated sandbox/handy/README.md


0.8.18
======

Release Summary
---------------
Docs update.

Major Changes
-------------

Minor Changes
--------------


0.8.17
======

Release Summary
---------------
Docs and examples update with iocage plugins.

Major Changes
-------------

Minor Changes
--------------
* Docs. Add example 521
* Docs. Add sandbox 910, 911
* Docs. Update sandbox 013-300, 905-909

0.8.16
======

Release Summary
---------------
Docs and examples update with iocage plugins.

Major Changes
-------------

Minor Changes
--------------
* Docs. Update index.
* Replace noqa changed_when with the option in the playbooks.
* Update license in the playbooks.
* Docs. Add sandbox 907, 908, 909
* Docs. Update example 443, 520
* Docs. Update sandbox 010, 013, 014, 015, 018, 030, 208, 209, 210, 300, 520
* Docs. Update sandbox 901, 902, 903, 904, 905, 906
* Docs. By default, some testing pb do not work without SSH redirection or jailexec.
  Disable sandbox 020, 200, 202, 203, 204, 206, 207 in batch.sh
* Unified format of properties is a dictionary
  updated: pb_iocage_project_create.yml, pb_iocage_ansible_clients/clone.yml,
  pb_iocage_plugins.yml, pb_iocage_plugins/*
* Use Jinja filter dictsort to concatenate iocage properties.


0.8.15
======

Release Summary
---------------

Major Changes
-------------

Minor Changes
--------------
* Add playbook pb_iocage_project_create_from_plugins.yml
* Update pb_iocage_destroy_all_jails.yml; By default do not destroy plugins
  along other jails.
* Update pb_iocage_plugins.yml
* Update pb_iocage_project_create.yml
* Docs. Update examples.


0.8.14
======

Release Summary
---------------
Docs update of iocage plugins.

Major Changes
-------------

Minor Changes
--------------
* Update cloning in the playbook playbooks/pb_iocage_ansible_clients.yml
* docs. Fix index 'iocage plugins'.
* docs. Update examples 440, 441, 442, 443, and 500.
* docs. Update sandbox 202, 203, 901, and 904.
* docs. Add sandbox 370 and 905.
* docs. Add examples 520 (WIP).


0.8.13
======

Release Summary
---------------
Basic management of iocage plugins added.

Major Changes
-------------

Minor Changes
--------------
* Added playbook pb_iocage_plugins.yml; fetch iocage plugins.
* Updated playbook pb_iocage_ansible_clients.yml; Clone jails from iocage
  plugins.
* docs. Add example 443; Iocage plugin ansible-zero.
* docs. Add pb-iocage-plugins to UG.


0.8.12
======

Release Summary
---------------
Added examples to docs.

Major Changes
-------------

Minor Changes
--------------
* docs. Add example 441. Redirect SHH to jails.
* docs. Add example 442. Connection jailexec instead of ssh,
* docs. Update examples 050 and 502


0.8.11
======

Release Summary
---------------
Update jailexec and examples.

Major Changes
-------------

Minor Changes
--------------
* Connection plugin jailexec; cast option jail_name to str.
* Update example 050
* Update example sandbox/handy/904
* Create patch for jailexec upstream main and update setup.


0.8.10
======

Release Summary
---------------
Update jailexec and examples.

Major Changes
-------------

Minor Changes
--------------
* Update example sandbox/handy/904
* Connection plugin jailexec cleanup.


0.8.9
=====

Release Summary
---------------
Docs update.

Major Changes
-------------

Minor Changes
-------------
* Add example 050. Test connection plugin jailexec.
* Update README. Add connection plugin jailexec.
* Update docs.
  Add UG chapter 'connection vbotka.freebsd.jailexec'
  Add UG connection plugin jailexec to the included content.
  Add example 050. Test connection plugin jailexec.
  Update example sandbox/handy/904
  Update example inventory in sandbox/handy/904
  Update description of example 440


0.8.8
=====

Release Summary
---------------
Maintenance and feature update.

Major Changes
-------------

Minor Changes
-------------
* Add connection plugin jailexec.
* Connection plugin jailexec tested in Ansible 2.20 in sandbox/handy/904
* Add presentation for the WIP session at AsiaBSDcon.
* Update the example docs/source/sandbox/handy/901
* Update the example docs/source/examples/440; redirect SSH to the jails.
* Update iocage module.
* Test JSON query for "Indirect Node Counting" in docs/source/sandbox/handy/901
* Add extensions/audit/event_query.yml and README.md
* Role apache upgraded to 2.8.2
* Role postinstall upgraded to 2.8.6


0.8.7
=====

Release Summary
---------------
The tutorial docs/presentation/* moved to docs/presentation/tutorial/*


0.8.6
=====

Release Summary
---------------

Major Changes
-------------

Minor Changes
-------------
* Update playbooks: pb_iocage_ansible_clients
* Update presentation.


0.8.5
=====

Release Summary
---------------


Major Changes
-------------

Minor Changes
-------------
* Update docs and sandbox examples. Add sandbox examples.
* Update presentation.
* Upgrade roles: pf 2.8.4


0.8.4
=====

Release Summary
---------------
Update roles, playbooks, docs and examples.

Major Changes
-------------

Minor Changes
-------------
* Upgrade role dhcp 2.8.1
* Update docs and sandbox examples. Add sandbox examples.
* Update playbook pb_iocage_template. Do not use set_facts to create
  iocage_jails and iocage_templates lists.


0.8.3
=====

Release Summary
---------------
Update docs and examples.

Major Changes
-------------

Minor Changes
-------------
* Update roles: pf 2.8.2, postinstall 2.8.5
* Add role dhcp 2.8.0
* Update the inventory plugin iocage
* Update docs. Replace https://iocage.readthedocs.io/en/latest/ by
  https://freebsd.github.io/iocage/
* Update examples for new remote host iocage_5 (ansible_host=handy)
* Experimental examples moved to docs/source/sandbox/handy
* Add example 440 Configure DHCP server


0.8.2
=====

Release Summary
---------------
Upgrade to Ansible 2.20. Supported versions 13.5, 14.3, and 15.0

Major Changes
-------------

Minor Changes
-------------
* Upgrade roles: apache 2.8.1, iocage 1.2.0, lib 2.8.3, network 2.8.3,
  pf 2.8.1, postinstall 2.8.4, rsnapshot 2.8.2, zfs 2.8.2, packages
  2.8.1, config_light 2.8.3, custom_image 2.8.1, poudriere 2.8.1,
  certificate 2.8.1
* Update ansible-lint local config.
* Fix or ignore ansible-lint warnings.
* Update docs examples. Disable examples 321, 361, and 502
* Update playbooks.
* Add docs presentation.


0.8.1
=====

**NOTE**

It is not possible to use some roles in 2.19 because of the bug:
"become_user broken with import_tasks since 2.19 #85856"
https://github.com/ansible/ansible/issues/85856

Downgrade to Ansible 2.18 ::

  (env) > ansible --version
  ansible [core 2.18.9]
    ...
    python version = 3.12.3 (main, Jun 18 2025, 17:59:45) [GCC 13.3.0] (/home/admin/env/bin/python3)
    jinja version = 3.1.4
    libyaml = True

In Linux, run command ::

  (env) > python3 -m pip install ansible==11.10.0

The bug was fixed in #85877 and merged October 1, 2025. Let's test it
when released. Probably in 2.19.4 See:
https://github.com/ansible/ansible/tree/v2.19.3rc1/changelogs

Release Summary
---------------
Downgrade to Ansible 2.18

Major Changes
-------------

Minor Changes
-------------
* Upgrade role vbotka.freebsd.config_light to version 2.8.2
* Update docs ug introduction.
* Update docs ug examples batch.sh
* Update docs ug examples: 013, 014, 203, 208, 400
* Add docs ug examples: 210, 502, 510
* Add playbooks: pb_iocage_project_create.yml and pb_iocage_project_destroy.yml
* Add var project_template (default=ansible_client) to pb_iocage_project_create.yml
* Build documentation also in epub and pdf formats.


0.8.0
=====

Release Summary
---------------
Ansible 2.19 upgrade.

Major Changes
-------------
* Upgrade to latest inventory plugin iocage.
* Upgrade roles:
  apache 2.8.0
  certificate 2.8.0
  config_light 2.8.0
  custom_image 2.8.0
  iocage 1.0.0
  lib 2.8.0
  network 2.8.1
  packages 2.8.0
  pf 2.8.0
  postinstall 2.8.2
  poudriere 2.8.0
  rsnapshot 2.8.0
  zfs 2.8.1
* Update examples.
* Add lookup plugin galaxy_info

Minor Changes
-------------
* Update playbooks.
* Update README.
* Update docs Index.
* Update docs ug included content.
* Update docs ug plugins lookup galaxy_info
* Update docs dg Update plugins.
* Add example 040.

Bugfixes
--------

Breaking Changes / Porting Guide
--------------------------------
* Module vbotka.freebsd.service command rcvar strips quotes. See the module
  examples.


0.7.24
======

Release Summary
---------------
Upgrade role packages 2.7.4

Major Changes
-------------

Minor Changes
-------------
* Add docs ug example 321
* Upgrade role packages 2.7.4
* Update docs ug examples 209, 320


0.7.23
======
Upgrade role poudriere 2.7.6

Release Summary
---------------

Major Changes
-------------

Minor Changes
-------------
* Upgrade role poudriere 2.7.6
* Update docs ug example 390.


0.7.22
======

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Upgrade role postinstall 2.7.18
* Upgrade role packages 2.7.3
* Update docs.


0.7.21
======

Release Summary
---------------
Upgrade role poudriere.

Major Changes
-------------

Minor Changes
-------------
* Upgrade role poudriere 2.7.5
* Update docs ug example 390.


0.7.20
======

Release Summary
---------------

Major Changes
-------------

Minor Changes
-------------
* Add playbooks/pb_iocage_ansible_clients/clone_host_hostname.yml
* Update playbooks/pb_iocage_ansible_clients
* Add playbooks/pb_iocage_template/pkg.yml
* Update playbooks/pb_iocage_template
* Add role apache 2.7.2
* Add role certificate 2.7.1
* Upgrade role iocage 0.5.4
* Upgrade role rsnapshot 2.7.4
* Upgrade role custom_image 2.7.9
* Upgrade role lib 2.7.2
* Upgrade role zfs 2.7.8
* Add docs ug example 209, 420, 421, 422, 423, 430


0.7.19
======

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Update docs ug examples
* Update docs playbooks pb-iocage-template
* Update playbook pb-iocage-template.yml; Test PK validity.
* Upgrade role postinstall 2.7.17
* Upgrade role network 2.7.8
* Upgrade role custom_image 2.7.8
* Upgrade role zfs 2.7.7


0.7.18
======

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Update galaxy.yml build_ignore.
* Update docs add ug examples.
* Upgrade role zfs 2.7.6
* Upgrade role postinstall 2.7.14


0.7.17
======

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Update docs ug roles.
* Update docs ug inventory iocage.
* Update docs ug examples.
* Update docs ug example 017.
* Upgrade role pf 2.7.6
* Upgrade inventory plugin iocage.


0.7.16
======

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Update README.
* Upgrade role packages 2.7.2
* Upgrade role network 2.7.7


0.7.15
======

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Update Galaxy metadata.
* Update requirements.
* Update docs ug_inventory_iocage_*
* Update docs example 207
* Update docs ag and dg.
* Upgrade role config_light 2.7.4
* Upgrade role custom_image 2.7.6
* Upgrade role iocage 0.5.3
* Upgrade role lib 2.7.1
* Upgrade role network 2.7.6
* Upgrade role packages 2.7.1
* Upgrade role pf 2.7.5
* Upgrade role postinstall 2.7.11
* Upgrade role poudriere 2.7.4
* Upgrade role rsnapshot 2.7.3
* Upgrade role zfs 2.7.3


0.7.14
======

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Update README.
* Update docs. Update example 410.
* Update docs. Add example 411.
* Upgrade role rsnapshot to 2.7.2
* Upgrade role postinstall to 2.7.10
* Upgrade role custom_image to 2.7.5


0.7.13
======

Release Summary
---------------
Add role vbotka.freebsd.lib

Major Changes
-------------

Minor Changes
-------------
* Add role vbotka.freebsd.lib 2.7.0
* Update README.
* Update docs. Updated examples.
* Updated docs. Add role vbotka.freebsd.lib
* Updated docs. Add example 410.
* Update documentation URL to the latest (master) branch.


0.7.12
======

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Add role vbotka.freebsd.zfs 2.7.1
* Update docs. Fix links. Add example 400.


0.7.11
======

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Upgraded roles:
  config_light 2.7.3
  freebsd_custom_image 2.7.4
  freebsd_iocage 0.5.2
  freebsd_postinstall 2.7.9
  freebsd_poudriere 2.7.3
* Updated modules iocage, ucl, and service. Updated documentation and docstrings.
* Updated filter iocage. Updated documentation and docstrings.
* Updated docs.
* Updated examples: 200, 202, 205, 207, 310, 350.
* Added playbook pb_iocage_update_vmm_repos.yml
* Added example 500.


0.7.10
======

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Upgrade inventory iocage. Added options inventory_hostname_tag and
  inventory_hostname_required.
* Updated docs. Updated examples.
* Added example 020
* Added chapters ug_inventory_iocage_*.rst


0.7.9
=====

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Updated roles: postinstall 2.7.7, poudriere 2.7.2
* Updated docs. Updated example 390.


0.7.8
=====

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Added role poudriere 2.7.1
* Updated role postinstall 2.7.6
* Added dest/collection_docsite.sh
* Updated docs. Added example 390.
* Updated README.


0.7.7
=====

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Updated README.


0.7.6
=====

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Added role custom_image 2.7.3
* Updated README.
* Updated roles:
  config-light 2.7.2
  postinstall 2.7.5


0.7.5
=====

Release Summary
---------------
Maintenance update. Add role pf.

Major Changes
-------------

Minor Changes
-------------
* Add role: pf 2.7.4
* Update roles: network 2.7.5, postinstall 2.7.3
* Add docs examples: 361, 370
* Update docs examples: 202, 203, 330
* Fix playbooks lint errors: run-once


0.7.4
=====

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Update module ucl
* Update .gitignore tests/output


0.7.3
=====

Release Summary
---------------
Update role network.


0.7.2
=====

Release Summary
---------------
Remove role info.


0.7.1
=====

Release Summary
---------------
Fix module ucl documentation.


0.7.0
=====

Release Summary
---------------
Major release. Tested with 13.5 and 14.2

Major Changes
-------------
* Docs examples updated to 13.5 and 14.2

Minor Changes
-------------
* Update galaxy.yml; Do not distribute roles/\*/docs"
* Update module ucl.py
* Fix docs pigments.
* Update module service:
  _parse_command_output returns 'void' when stdout is empty.
* Update playbooks. Replace dash by underscore in files and directories.
* Add roles: info, network, rsnapshot
* Add playbooks:
  pb_iocage_destroy_all_jails.yml
  pb_iocage_start_all_jails.yml
  pb_iocage_update_repos.yml


0.6.11
======

Release Summary
---------------
Include role config_light and module ucl. Update docs.

Major Changes
-------------

Minor Changes
-------------
* Add module ucl
* Add role config_light
* Update docs
  Add included_content.rst, ug_module_ucl.rst
  Add examples: 301, 313
  Update examples: 017, 206, 311
  Update local TOC.
* Update setup.

Breaking Changes / Porting Guide
--------------------------------
* Update setup
  Renamed vars-files and variables.
  Changed structures.


0.6.10
======

Release Summary
---------------
Update README and docs.


0.6.9
=====

Release Summary
---------------
Include role vbotka.freebsd.packages

Major Changes
-------------

Minor Changes
-------------
* Update docs
  Add example 311.
  Rename example 100 to 312
  Rename example 101 to 030


0.6.8
=====

Release Summary
---------------
Update README and docs.


0.6.7
=====

Release Summary
---------------
Include role vbotka.freebsd.postinstall. Add example 310.

Major Changes
-------------

Minor Changes
-------------
* Include role vbotka.freebsd.postinstall
* Update docs.
  Add UG example 310. Audit Ansible clients.Use role vbotka.freebsd.postinstall
  Update UG index in example 300.
  Update UG chapter plugins.
  Update UG playbook pb-iocage-template.


0.6.6
=====

Release Summary
---------------
Update module service incl. the docs update.

Major Changes
-------------

Minor Changes
-------------
* Update docs.
  Add pb-test-06.yml and pb-test-07.yml to example 300
* Update module service.
  Update DOCS.
  Add option 'wait' to complete a command.
  Always return changed=False in check_mode.
  Return 'state' for commands that change results of 'status' or 'enabled'


0.6.5
=====

Release Summary
---------------
Upgrade module service incl. docs update.

Major Changes
-------------

Minor Changes
-------------
* Upgrade module service; Add option synopsis; Parse rcvar and status output and
  return the results.
* Update docs example 300.
* Upgrade role pf to 2.7.3


0.6.4
=====

Release Summary
---------------
Maintenance incl. docs update.

Major Changes
-------------

Minor Changes
-------------
* Update module iocage
* Update docs DG Create Collection Docsite.
* Fix link in example 300
* Fix module service documentation.
* Update build_ignore in galaxy.yml
* Update README.


0.6.3
=====

Release Summary
---------------
Add module vbotka.freebsd.service. Update docs.

Major Changes
-------------

Minor Changes
-------------
* Add module vbotka.freebsd.service
* Upgrade role pf.


0.6.2
=====

Release Summary
---------------
Update docs.

Major Changes
-------------

Minor Changes
-------------
* Add docs chapter "iocage tags".


0.6.1
=====

Release Summary
---------------
Update playbook pb-iocage-template and update docs.

Major Changes
-------------

Minor Changes
-------------
* Update playbook pb-iocage-template.yml
* Update docs examples and playbooks.

Breaking Changes / Porting Guide
--------------------------------
* Updated playbook pb-iocage-template uses dictionary clones.


0.6.0
=====

Release Summary
---------------
Minor release incl docs update.

Major Changes
-------------
* Upgrade inventory iocage.
* Update playbooks.

Minor Changes
-------------
* Add docs examples: 205, 206
* Update examples: 200, 202, 203, and 204.
* Update playbook pb-iocage-ansible-clients.yml
  Add debug2 tasks.
  Use json_query instead selectattr.

Breaking Changes / Porting Guide
--------------------------------
* Updated playbook pb-iocage-template use dictionary templates.
* Updated playbook pb-iocage-ansible-clients use dictionaries clones.


0.5.5
=====

Release Summary
---------------
Maintenance update incl. updated docs.

Major Changes
-------------

Minor Changes
-------------
* Update docs index.
* Upgrade role vbotka.freebsd_postinstall to 2.6.20
* Upgrade role vbotka.ansible_lib to 2.6.4
* Upgrade filter vbotka.freebsd.iocage. Add option dataset.
* Add docs examples: 204


0.5.4
=====

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Update galaxy.yml


0.5.3
=====

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Update docs.
* Update galaxy.yml


0.5.2
=====

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Upgrade inventory plugin iocage. Add option hooks_results.
* Upgrade role postinstall to 2.6.19
* The playbooks pb-iocage-template.yml and
  pb-iocage-ansible-clients.yml moved from the examples to playbooks.
* Update examples: 200, 013
* Add examples: 202,203


0.5.1
=====

Release Summary
---------------
Documentation update.

Major Changes
-------------

Minor Changes
-------------
* Fix filter iocage docs.
* Update docs.
* Update docs genindex.


0.5.0
=====

Release Summary
---------------
Minor release. Update plugins, roles and docs.

Major Changes
-------------

Minor Changes
-------------
* Add filter iocage. Parse iocage lists.
* Update inventory plugin iocage.
* Update role iocage.
* Update examples.
* Add example 018.

Bugfixes
--------
#9538 Inventory iocage fails when DHCP is enabled.

Breaking Changes / Porting Guide
--------------------------------
* Upgrade inventory plugin iocage.py. Backward not compatible. In
  multiple interface format the variable iocage_ip4 will be a string
  of comma-separated IPs. New variable iocage_ip4_dict is created.


0.4.7
=====

Release Summary
---------------
Docs update.

Major Changes
-------------

Minor Changes
-------------
* Update example 030.


0.4.6
=====

Release Summary
---------------
Maintenance update incl. docs update.

Major Changes
-------------

Minor Changes
-------------
* Update module iocage.
* Replace deprecated stdout_callback=yaml with callback_result_format=yaml
* Add example 017
* Update example 031


0.4.5
=====

Release Summary
---------------
Update docs.

Major Changes
-------------

Minor Changes
-------------
* Update docs.
* Update module iocage.


0.4.4
=====

Release Summary
---------------
Update docs.

Major Changes
-------------

Minor Changes
-------------
* Update example 030


0.4.3
=====

Release Summary
---------------
Update docs. Update module iocage.

Major Changes
-------------

Minor Changes
-------------
* Update module iocage.
* Update example 030 (WIP)


0.4.2
=====

Release Summary
---------------
Update docs.

Major Changes
-------------

Minor Changes
-------------
* Update module iocage.
* Add (WIP) examples 030 and 031.


0.4.1
=====

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Update README
* Upgrade role vbotka.freebsd.iocage to ver. 0.4.0


0.4.0
=====

Release Summary
---------------
Minor release. Update plugins, roles, and docs.

Major Changes
-------------

Minor Changes
-------------
* Upgrade role vbotka.freebsd.iocage to ver. 0.4.0

Breaking Changes / Porting Guide
--------------------------------
* Upgrade inventory plugin iocage.py. Backward not
  compatible. Parameter env changed to dictionary.


0.3.5
=====

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Add Example 030


0.3.4
=====

Release Summary
---------------
Maintenance udpate.

Major Changes
-------------

Minor Changes
-------------
* Update README
* CodeCov badge added to README


0.3.3
=====

Release Summary
---------------
Maintenance udpate.

Major Changes
-------------

Minor Changes
-------------
* Update inventory iocage.
* Update docs.
* Add example 020.


0.3.2
=====

Release Summary
---------------

Major Changes
-------------

Minor Changes
-------------
* Update inventory plugin iocage.
* Update README.
* Update docs.


0.3.1
=====

Release Summary
---------------
Update docs.

Major Changes
-------------

Minor Changes
-------------
* Update README.


0.3.0
=====

Release Summary
---------------
Minor release.


0.2.15
======

Release Summary
---------------
Update docs.

Major Changes
-------------

Minor Changes
-------------
* Update module iocage current.
* Update docs UG plugins.
* Fix and update example 013.
* Add examples 015, 016.


0.2.14
======

Release Summary
---------------
Update module iocage. Add docs examples.

Major Changes
-------------

Minor Changes
-------------
* Update module iocage.
* Update README.
* Add links to ug_plugin and examples.
* Add Examples 004, 011, 012, 013, 014.


0.2.13
======

Release Summary
---------------
Upgrade role iocage; Update docs.

Major Changes
-------------

Minor Changes
-------------
* Upgrade role iocage to 0.2.5
* Update setup playbooks.
* Split docs to 3 guides: User, Administrator, and Devel.
* Add docs UG chapter Best Practice.
* Add docs Examples 002 and 003.


0.2.12
======

Release Summary
---------------
Add role iocage_0_2_4


0.2.11
======

Release Summary
---------------
Fix roles dir names.


0.2.10
======

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Update plugins and roles default mode. Groups can not write.
* Update docs.
* Update setup.yml. Create links to roles.
* Upgrade role iocage to 0.2.4


0.2.9
=====

Release Summary
---------------
Maintenance update.


0.2.8
=====

Release Summary
---------------
Bug fix and maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Update setup.
* Update iocage module.
* Update docs.


0.2.7
=====

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Update galaxy.yml documentation.
* Update Plugins.
* Update Example 001 Clone jails and create inventory
* Update docs.
* Update versions in setup/vars/roles.yml


0.2.6
=====

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Update README.
* Update galaxy.yml documentation.
* Update Wiki.


0.2.5
=====

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Add .readthedocs.yaml


0.2.4
=====

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Add dependencies to galaxy.yml
* Add playbook setup/modules-in-role.yml to list dependencies
* Add setup/vars/keywords.yml needed by modules-in-role.yml
* Create docs. Add example: Clone jails and create inventory


0.2.3
=====

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Update vars/checksum.yml
* Update inventory/iocage.py
* Update modules/iocage.py


0.2.2
=====

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Update README.
* Update module iocage.yml
* Remove setup/vars/roles.yml.bak
* Remove plugins/inventory/__pycache__/iocage.cpython-312.pyc


0.2.1
=====

Release Summary
---------------
Maintenance update.

Major Changes
-------------

Minor Changes
-------------
* Add distfiles to setup.
* Add requirements.yml
* Fix inventory iocage name.
* Fix module iocage name.
* Update checksum, plugins, plugins_all, plugins_install


0.2.0
=====

Release Summary
---------------
Feature update.

Major Changes
-------------
* Add plugins/modules/iocage.py
* Add plugins/inventory/iocage.py
* Add setup/.configure.yml
* Update setup/setup.yml
* Update playbooks
* Update roles/iocage
* Update galaxy.yml, meta, and tests

Minor Changes
-------------
* Update README.

Bugfixes
--------

Breaking Changes / Porting Guide
--------------------------------
